Difference between revisions of "Kdenlive/Manual/Installation/fr"

Jump to: navigation, search
(Updating to match new version of source page)
 
(76 intermediate revisions by 4 users not shown)
Line 3: Line 3:
 
== Installation ==
 
== Installation ==
  
=== Installation de paquets binaires ===
+
Visiter la page [https://kdenlive.org/download/ téléchargement] du site Web Kdenlive pour lire des informations à jour concernant l'installation de '''Kdenlive''' (août 2017).
  
Most linux distributions provide recent binary packages of '''Kdenlive''' that can be installed from your Package Manager. However, in some cases you can find more recent versions in private repositories.  
+
Suivre ce lien pour voir les  [[Special:myLanguage/Historical Install Information|informations historiques d'installation]].
  
[http://www.kdenlive.org/downloading-and-installing-kdenlive This] page at the '''Kdenlive''' home has instructions on how to source these more recent versions, depending on which flavour of Linux you run.  Instructions for Debian, Fedora, Gentoo, OpenSUSE, Slackware and Ubuntu are available.
 
  
 +
=== Informations de configuration ===
  
As of May 2015, obtaining and installing the latest version of '''Kdenlive''' has gotten a little complicated.
+
Les réglages globaux de Kdenlive sont sauvegardé dans les fichiers suivants en fonction de votre plateforme.  
Development of '''Kdenlive''' up to this point has used a technology known as KDE Frameworks 4. And the last stable release using this technology is version  [http://kdenlive.org/discover/0.9.10 0.9.10], released 25th September 2014.<br />
 
To use this you need to have recent versions of frei0r, '''Kdenlive''' , mlt and  libvidstab,
 
e.g.: <br />
 
* frei0r = 1.4.0+git20140826.72e51041  <br />
 
* '''Kdenlive''' = 0.9.10  <br />
 
* mlt = 0.9.3+git20141005.22abed67 <br />
 
* libvidstab=2:0.98b
 
<br />
 
  
As of June 2015, [https://launchpad.net/~sunab/+archive/ubuntu/kdenlive-release-old this] PPA has version 0.9.10 of '''Kdenlive''' , 1.4.0 of Frei0r and 0.9.3 of melt.
 
  
Development of '''Kdenlive''' has now switched to a new version of the KDE Frameworks called KF5 (KDE Frameworks 5).  To install versions of '''Kdenlive''' using this underlying technology, you need to be on a Linux distribution which supports KF5. Ubuntu and its derivatives versioned 15.04 and higher support KF5.  It is not possible to install KF5 on distributions earlier than 15.04 (except by ''chroot''ing your system).
+
==== GNU/Linux ====
Versions using KF5 are distributed by the [https://launchpad.net/~kubuntu-ci Kubuntu-CI Team]. The sunab ppa (see below) now also distributes KF5 versions. <br />
 
Version numbers of the KF5 flavour start at 15.04.0. <br />
 
This author recommends using the  sunab ppa to install kdenlive rather than the  Kubuntu-CI Team because the Kubuntu-CI Team PPA has many other packages in it which will attempt to uprade all sorts of things on your system - with the potential of breaking it.<br />
 
  
The switch between 0.9.10 and 15.04.0 is quite major with respect to the development work required.  Testing of the new 15.04.0 version has been limited.  For critical work I would recommend '''not''' upgrading to 15.04.0 unless you have a good backout strategy. It seems that the standard 15.04 Ubuntu repositories have a version 0.9.10 of '''Kdenlive''' running against KDE Frameworks 4 so you might be able to back out from 15.04.x to  0.9.10 by purging the ppa version of '''Kdenlive''' and re-installing the one in the standard repos.  
+
* '''~/.config/kdenliverc''' : contient les configurations générales de cette application. Il suffit de supprimer ce fichier et de redémarrer Kdenlive pour réinitialiser cette application avec les paramètres d'usine.
  
<span class="mw-translate-fuzzy">
+
*'''~/.config/session/kdenlive_104534dcfdb61d887154xxxxxxxxxxx_154yyyyyy_98zzzz''' : Information de session temporaire.
==== Debian, Ubuntu et dérivés====
 
</span>
 
  
''Debian'' project has been shipping '''Kdenlive''' packages since the "squeeze" (6.0) release. However, to benefit from recent updates and bugfixes, you might consider upgrading to a "testing" release or even "sid".
+
*~/.cache/kdenlive
  
Once your package management tool is pointed at an appropriate release, a simple <code>apt-get install kdenlive</code> should then work.
+
* ~/.local/share/kdenlive : le répertoire lumas dans celui-ci contient les fichiers utilisés pour [[Special:MyLanguage/Kdenlive/Manual/Transitions/Wipe|Wipes]]
  
Sunab's PPA (see below) is not recommended for Debian because ''Debian uses a different lib layout for multiarch'' (reference: this [https://forum.kde.org/viewtopic.php?f=269&t=123425#p322708 post] from vpinon).
+
* ~/.local/share/stalefiles/kdenlive
 
 
==== Ubuntu and derivatives ====
 
''Ubuntu'' also has offered '''Kdenlive''' since "gutsy" (7.10). However, to benefit from recent updates and bugfixes, you should consider upgrading to the latest release.
 
 
 
Sunab offers a stable release of Kdenlive (KF 5 version 15.04.x) from [https://launchpad.net/~sunab/+archive/kdenlive-release this] PPA.
 
 
 
He maintains a ppa with the previous release  [https://launchpad.net/~sunab/+archive/ubuntu/kdenlive-release-old here]. As at June 2015 it has the ver 0.9.10 of '''Kdenlive''' , 1.4.0 of Frei0r and 0.9.3 of melt
 
 
 
 
 
 
 
Not all the packages in the ppa are necessary. Install or upgrade the following to get a 15.04 release
 
(version numbers as at 13 July 2015)
 
* kdenlive  (15.04.2-0ubuntu0-~sunab~vivid4)    <br />
 
* kdenlive-data    (15.04.2-0ubuntu0-~sunab~vivid4)    <br />
 
* libmlt++3    (0.9.6-0ubuntu0~sunab~vivid1)    <br />
 
* libmlt-data  (0.9.6-0ubuntu0~sunab~vivid1)    <br />
 
* libmlt6  (0.9.6-0ubuntu0~sunab~vivid1)          <br />
 
* libvidstab1.0  (2:0.98b-0ubuntu0~sunab~vivid1)  <br />
 
* melt          ( 0.9.6-0ubuntu0~sunab~vivid1)  <br />
 
 
 
Non-Kubuntu users will need to install the kde-runtime package to fix missing buttons and icons.
 
 
 
Note that Sunab's PPA is built against the avconv multimedia libraries which Ubuntu/Lubuntu/Kubuntu et al. ship with. It is not built against the "alternative" ffmpeg multimedia libraries that other distros might have. So using this PPA for non-avconv-utilizing distributions might be problematic.  (Thanks  [http://blog.pkh.me/p/13-the-ffmpeg-libav-situation.html avconv/ffmpeg schism] !!!!).
 
 
 
==== Fedora, RedHat and derivatives ====
 
 
 
RPM packages are not yet maintained in an official branch, so you must go through an unofficial repository such as  [http://rpmfusion.org/ RPM Fusion] or [http://packman.links2linux.de/package/kdenlive packman] (Has ver 15.12.0 29 Dec 2015). Follow the site's recommendations to make them available and end with <code>yum install kdenlive</code>.
 
 
 
==== Gentoo, Arch, BSD ports ====
 
 
 
Building scripts are ready for up-to-date systems, so run respectively <code>emerge kdenlive</code> or <code>pacman -S kdenlive</code> or <code>pkg_add kdenlive</code>, etc.
 
 
 
==== Windows ====
 
 
 
There is no native Windows version of '''Kdenlive''' yet. However, you can use some virtualized [[Special:myLanguage/What_is_a_distribution|Linux distribution]] to run '''Kdenlive''' on '''Windows'''. Some advice can be found on [http://www.kdenlive.org/forum/kdenlive-windows this page].
 
 
 
There is also the [http://sourceforge.net/projects/kdenlive-on-win/ kdenlive on win] project on SourceForge which "consists of an Ubuntu VirtualBox image that is preconfigured to run '''Kdenlive'''". The project was last updated 2012-08-09.
 
 
 
==== MacOS ====
 
 
 
'''Kdenlive''' and '''MLT''' can compile and run under Mac OS X. Packages are available from the [http://www.macports.org/ MacPorts] project.
 
 
 
MacPorts is a source-based system &mdash; there is not a binary app bundle for '''Kdenlive'''. Therefore, '''Kdenlive''' and all of its numerous dependencies, including multimedia libraries, KDE, and Qt, must be compiled. This can take a long time and much disk space! Furthermore, it is not unusual for something not to build correctly; it is definitely not something for the novice, impatient, or "faint of heart".
 
 
 
For more details see [http://www.kdenlive.org/user-manual/downloading-and-installing-kdenlive/pre-compiled-packages/mac-os-x-packages-macports this].
 
 
 
You may have some success getting support for the MacPort of '''Kdenlive''' on the Mac Ports forum on [http://mac-os-forge.2317878.n4.nabble.com/MacPorts-f3.html MacOS Forge].
 
 
 
=== Installing from source ===
 
 
 
If you want to test latest committed code or your personal patches, you will have to build '''Kdenlive''' (and probably '''MLT''') on your own.
 
 
 
You can use your distribution's package building procedure to use its software management system to install/upgrade/remove the binaries and data, and eventually share your builds (and even contribute to package maintenance - refer to the respective distribution manual).
 
 
 
If you prefer you can build & install '''Kdenlive''' to a local area (preferably not <tt>/usr</tt>, but rather <tt>/usr/local</tt> or <tt>$HOME/my_local_builds/kdenlive-last-release</tt> or similar).
 
You could try using  [https://community.kde.org/Kdenlive/Development/KF5#A_build_script  this] build script to build the latest version from the sources. Or you could use the [http://www.mltframework.org/twiki/bin/view/MLT/BuildScripts#Kdenlive this] build script to build kdenlive ver 0.9.10 <ref>on distributions older than ''Debian 6'' or ''Ubuntu 10.04'' and derivatives, you need to set <code>ENABLE_SWFDEC=0</code> in the config variables of the script. Modify the INSTALL_DIR in the script to  something like <code>INSTALL_DIR="$HOME/my_local_builds/kdenlive-last-release"</code> to make it match where you want this local build to install. </ref> (Follow the instructions under "show kdenlive". These instructions will build '''Kdenlive''' and its dependancies [e.g. melt, ffmpeg] in a "sandbox").
 
 
 
<span id ="nstalling from Sunab's PPA"></span>
 
 
 
===Installing from Sunab's PPA ===
 
Olivier Banus (AKA Sunab) provides a personal package archive (PPA) of the latest '''development''' trees of Frei0r-plugins, MLT and '''Kdenlive'''. For details on how to install '''Kdenlive''' using this bleeding edge source see [https://launchpad.net/~sunab/+archive/kdenlive-svn launchpad.net - kdenlive-git (unstable).Testing only! ]
 
 
 
As of 2 Dec 2015 Sunab has included a build for Ubuntu 15.10 - the wily werewolf.
 
 
 
Note:  Sunab  also maintains a [https://launchpad.net/~sunab/+archive/kdenlive-release PPA] of the offical current release of '''Kdenlive'''  (as noted above) as well as the current release minus one at [https://launchpad.net/~sunab/+archive/ubuntu/kdenlive-release-old  ppa:sunab/kdenlive-release-old].
 
 
 
If you need to back out a release to the previous release then:
 
* delete all packages (kdenlive, mlt, ...) from the kdenlive-release ppa (manually or with ppa-purge)
 
* disable ppa:sunab/kdenlive-release in the package manager/software sources
 
* enable the  [https://launchpad.net/~sunab/+archive/ubuntu/kdenlive-release-old  ppa:sunab/kdenlive-release-old]  in the package manager/software sources
 
* install '''Kdenlive''' from ppa:sunab/kdenlive-release-old
 
 
 
===Installing from Vpinon's PPA ===
 
As of 2 Dec 2015 Vpinon has a ppa with a build for Ubuntu 15.10 - the wily werewolf - Packages to test the latest beta & bugfixes.  Version 15.11.80 of Kdenlive
 
[https://launchpad.net/~vpinon/+archive/ubuntu/kdenlive-testing ppa:vpinon/kdenlive-testing]
 
 
 
 
 
===Installing from pre-built binary packages ===
 
Kdenlive developer Vpinion is making available compressed pre-built binary files for installing from http://files.kde.org/kdenlive/
 
 
 
You can test these packages without changing your system. Just download the package and extract it to a folder of your choice.
 
Inside that folder is a "start-kdenlive" executable that will start for you a recent version of '''Kdenlive'''.
 
 
 
Execute this by typing <code>./start-kdenlive</code> in a terminal.
 
 
 
Pre-built binary packages are often an easy solution if you are having troubles with your install and can be preferable to building your own because you don't need to install a build environment.
 
 
 
The potential downside is that the pre-built binary packages are built from the unstable development stream and may contain bugs. On the plus side your pre-built binary packages version and your main version of '''Kdenlive''' can live simultaneously on your machine.
 
 
 
===Installing from daily builds  - Old Versions===
 
Dan Dennedy of the Melt project used to provide automatic daily builds that contained the latest git versions of '''Kdenlive''', MLT, Frei0r, FFmpeg and some other important libraries. However the melt projects daily builds have not switched over to the ver 15.04 branch of kdenlive. So these instructions will not give you the bleeding edge code.
 
 
 
You can test these packages without changing your system. Just download the package and extract it to a folder of your choice.
 
Inside that folder is a "start-kdenlive" executable that will start for you the latest '''Kdenlive'''.
 
 
 
Execute this by typing <code>./start-kdenlive</code> in a terminal.
 
 
 
Daily builds are currently provided for Ubuntu (should be compatible with OpenSuse 12 and Debian 7) .
 
 
 
See the [http://builds.meltytech.com/kdenlive/latest.rss daily builds rss feed] which provides links to the builds for the above mentioned distributions.
 
 
 
Be sure to choose the correct download for the bitness your system. 
 
 
 
kdenlive-debian7-x86_'''64'''-YYYYMMDD.tar.bz2  is for 64bit Debian or Ubuntu based distros. (As at October 2015 this is still a 0.9.10 version of Kdenlive)<br />
 
kdenlive-ubuntu14.04-x86-YYYYMMDD.tar.bz2  (no 64 in the name ) is for 32bit Ubuntu  - (release 14.04 or higher) or other Debian based distros<br />
 
 
 
 
 
Daily builds are often an easy solution if you are having troubles with your install and can be preferable to building your own because you don't need to install a build environment (which can be problematic on old distro).
 
 
 
Daily builds are likely to work even if your distro doesn't match the reference ones, as these references are older (with ascendant compatibility libs) and the important libs are embedded - it normally works without problem.
 
 
 
The potential downside is that the daily builds are built from the unstable development stream and may contain bugs. On the plus side your daily build version and your main version of '''Kdenlive''' can live simultaneously on your machine.
 
 
 
See also [http://kdenlive.org/downloading-and-installing-kdenlive Kdenlive homepage]
 
  
 
<references/>
 
<references/>
Line 158: Line 30:
 
|prevtext=Introduction
 
|prevtext=Introduction
 
|nextpage=Special:MyLanguage/Kdenlive/Manual/QuickStart
 
|nextpage=Special:MyLanguage/Kdenlive/Manual/QuickStart
|nexttext=QuickStart
+
|nexttext=Démarrage rapide
 
|index=Special:MyLanguage/Kdenlive/Manual
 
|index=Special:MyLanguage/Kdenlive/Manual
|indextext=Back to menu
+
|indextext=Retour au sommaire
 
}}
 
}}
  
 
[[Category:Kdenlive]]
 
[[Category:Kdenlive]]
[[Category:Multimedia]]
+
[[Category:Multimédia/fr]]

Latest revision as of 22:43, 16 March 2019

Other languages:
Deutsch • ‎English • ‎dansk • ‎español • ‎français • ‎português do Brasil • ‎русский • ‎українська • ‎中文(台灣)‎

Installation

Visiter la page téléchargement du site Web Kdenlive pour lire des informations à jour concernant l'installation de Kdenlive (août 2017).

Suivre ce lien pour voir les informations historiques d'installation.


Informations de configuration

Les réglages globaux de Kdenlive sont sauvegardé dans les fichiers suivants en fonction de votre plateforme.


GNU/Linux

  • ~/.config/kdenliverc : contient les configurations générales de cette application. Il suffit de supprimer ce fichier et de redémarrer Kdenlive pour réinitialiser cette application avec les paramètres d'usine.
  • ~/.config/session/kdenlive_104534dcfdb61d887154xxxxxxxxxxx_154yyyyyy_98zzzz : Information de session temporaire.
  • ~/.cache/kdenlive
  • ~/.local/share/kdenlive : le répertoire lumas dans celui-ci contient les fichiers utilisés pour Wipes
  • ~/.local/share/stalefiles/kdenlive



This page was last edited on 16 March 2019, at 22:43. Content is available under Creative Commons License SA 4.0 unless otherwise noted.